Summary: The PHP HTML-embedded scripting language for use with Apache.
Name: mod_php
Version: 4.0b4pl1
Release: 1
Group: System Environment/Daemons
Copyright: PHP License
Url: http://www.php.net/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.php.net/distributions/php-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Requires: apache

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.


%prep
%setup -q -n php-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./configure \
	--with-apxs=/usr/sbin/apxs \
	--enable-versioning \
	--with-config-file-path=/etc/httpd \
	--with-mysql \
	--without-gd \
	--without-ttf \
	--with-system-regex \
	--disable-debug \
	--enable-track-vars
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
$MAKE

# This is ugly but it is the Makefile's fault since "make" didn't finish
# its job, yet "make install" doesn't take DESTDIR.
make install INSTALL_IT=""

# Set sendmail's path in php.ini-dist, otherwise mail function won't work
perl -pi -e "s|^sendmail_path.*;|sendmail_path\t=\t/usr/sbin/sendmail -t\t;|" \
	php.ini-dist


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/usr/lib/apache,/etc/httpd}
install -m755 -s libs/libphp4.so $RPM_BUILD_ROOT/usr/lib/apache
install -m644 php.ini-dist $RPM_BUILD_ROOT/etc/httpd/php.ini


%files
%defattr(-,root,root)
%doc CODING_STANDARDS CREDITS ChangeLog INSTALL LICENSE MAINTAINERS
%doc MODULES_STATUS NEWS README* TODO*
%config /etc/httpd/php.ini
/usr/lib/apache/libphp4.so


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Aug 19 1999 Hao Li <hli@wag.caltech.edu>
- After installing this RPM you will need to add following lines into
  appropriate locations of /etc/httpd/httpd.conf:

LoadModule php4_module        lib/apache/libphp4.so
AddModule mod_php4.c
AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps

